{% extends './adm/template.twig' %}
{% block body %}
	{{topbar | raw}}
	{{sidemenu | raw}}
	<div align="right">
		<a class="btn btn-secondary btn-sm" href="{{back}}">
			<i class="fa fa-reply"></i>
		</a>
	</div>

	<ul class="nav nav-tabs" id="myTab" role="tablist">
		<li class="nav-item" role="presentation">
			<button class="nav-link active" id="geral-tab" data-bs-toggle="tab" data-bs-target="#geral" type="button" role="tab" aria-controls="geral" aria-selected="true">Geral</button>
		</li>
		<li class="nav-item" role="presentation">
			<button class="nav-link" id="contato-tab" data-bs-toggle="tab" data-bs-target="#contato" type="button" role="tab" aria-controls="contato" aria-selected="false">Modulos</button>
		</li>
	</ul>
	<div class="tab-content" id="myTabContent">
		<div class="tab-pane fade show active mt-3" id="geral" role="tabpanel" aria-labelledby="geral-tab">
			{{form | raw}}
			</div>
			<div class="tab-pane fade mt-3" id="contato" role="tabpanel" aria-labelledby="contato-tab">
				{% if config_id == true %}
					<div align="right">
						<a class="btn btn-primary btn-sm" href="{{URL_BASE}}admin-catalog-blogmodule/add/{{config_id}}">
							<i class="fas fa-plus"></i>
						</a>
					</div>
					<div class="col-xl-12 col-md-12 col-sm-12">
						<div class="">
							<div class="info-title-table" align="center">Modulos</div>
							{% if modules == true %}
								<div class="info-body-table">
									<div class="table-responsive">
										<table class="table table-striped">
											<thead class="thead-dark">
												<tr>
													<th scope="col">Descrição</th>
													<th scope="col">Situação</th>
													<th scope="col">Ação</th>
												</tr>
											</thead>
											<tbody>
												{% for module in modules %}
													<tr>
														<td>{{module.description}}</td>
														<td>{{module.enable == 'S' ? 'Ativo' : 'Inativo' }}</td>
														<td>
															<a class="btn btn-info btn-sm" href="{{URL_BASE}}admin-catalog-blogmodule/edit/{{config_id}}/{{module.id}}">
																<i class="fas fa-pencil-alt"></i>
															</a>
															<a class="btn btn-danger btn-sm" href="{{URL_BASE}}admin-catalog-blogmodule/remove/{{config_id}}/{{module.id}}">
																<i class="far fa-trash-alt"></i>
															</a>
														</td>
													</tr>
												{% endfor %}
											</tbody>
										</table>
									</div>
								</div>
							{% else %}
								<h5 align="center">
									Não há registros
								</h5>
							{% endif %}
						</div>
					</div>
				{% endif %}
			</div>
		</div>
	</div>

	{{js | raw}}
{% endblock %}
